# Class: MapManager

Defined in: | lib/Types/StructuredTypes.coffee
Inherits: | types.Operation

## Overview

Manages map like objects. E.g. Json-Type and XML attributes.

## Instance Method Summary

- # (void) val(name, content)

## Constructor Details

# (void) constructor(uid)

### Parameters:

- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.

## Instance Method Details

# (void) val(name, content)

### See also:

- JsonTypes.val

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input